#!/usr/bin/make -f

%:
	dh $@ --with javahelper 

override_dh_auto_build:
	ant jars
	ant javadocs

override_dh_auto_test:
	ant test -Djava.awt.headless=true

get-orig-source:
	svn export https://github.com/Starlink/starjava/trunk/task starjava-task ; \
	wget -nv https://github.com/Starlink/starjava/raw/master/LICENSE.txt -P starjava-task ; \
	VERSION=`xmllint --xpath '//project/property[@name="version"]/@value' starjava-task/build.xml | cut -d\" -f2| tr - .` ; \
	DATE=`stat -c %y starjava-task/src/main/uk/ac/starlink/task/*.java | cut -c-10 | sort|uniq|tail -1| tr - .| tr -d +`; \
	tar cf starjava-task_$$VERSION+$$DATE.orig.tar starjava-task ; \
	rm -rf starjava-task ; \
	xz starjava-task_$$VERSION+$$DATE.orig.tar
